sc::ThreadLock(3)

NAME
sc::ThreadLock - The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's.

SYNOPSIS

#include <thread.h>

Inherits sc::RefCount.

  Public Methods
ThreadLock ()
virtual ~ThreadLock ()
virtual void lock ()=0
Obtain the lock.
virtual void unlock ()=0
Release the lock.

DETAILED DESCRIPTION

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.